import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.NoResultException;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public Professor findProfessorByName(String name) {
    try {
      return (Professor) em.createNamedQuery("Professor.findByName").setParameter("name", name)
          .getSingleResult();
    } catch (NoResultException e) {
      return null;
    }
  }

}
